Summary: 	The libglademm library for loading user interfaces.
Name: 		libglademm2
Version: 	2.5.1
Release: 	1
Copyright: 	LGPL
Group: 		Libraries
Source0: 	libglademm-%{version}.tar.bz2
URL: 		http://ftp.gnome.org/pub/GNOME/sources
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root

%description
Libglademm

%package 	devel
Summary: 	The files needed for libglademm application development.
Group: 		Development

%description 	devel
The libglademm-devel package contains the libraries and include files
that you can use to develop libglademm applications.

%prep
%setup -q -n libglademm-%{version}

%build
%configure --disable-gtk-doc --disable-nls
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%{_libdir}/*.so.*
%{_libdir}/*.so
%{_libdir}/*.la

%files devel
%defattr(-, root, root)
#{_libdir}/*.a
%{_libdir}/libglademm*
%{_libdir}/pkgconfig
%{_includedir}
